### Class

# Ggit DiffOptions

#### Description [src]

    class Ggit.DiffOptions : GObject.Object
    {
      /* No available fields */
    }

Represents the options used when creating a `GgitDiff`.

#### Hierarchy

#### Ancestors

- GObject

#### Constructors

###### ggit_diff_options_new

Create a new diff options object.

#### Instance methods

###### ggit_diff_options_get_flags

Get the diff flags.

###### ggit_diff_options_get_n_context_lines

Get the number of context lines to include in the diff.

###### ggit_diff_options_get_n_interhunk_lines

Get the number of interhunk lines to include in the diff.

###### ggit_diff_options_get_new_prefix

Get the diff new-prefix string.

###### ggit_diff_options_get_old_prefix

Get the diff old-prefix string.

###### ggit_diff_options_get_pathspec

Get the pathspec.

###### ggit_diff_options_set_flags

Set the diff flags.

###### ggit_diff_options_set_n_context_lines

Set the number of context lines to include in the diff.

###### ggit_diff_options_set_n_interhunk_lines

Set the number of interhunk lines to include in the diff.

###### ggit_diff_options_set_new_prefix

Set the diff new-prefix string.

###### ggit_diff_options_set_old_prefix

Get the diff old-prefix string.

###### ggit_diff_options_set_pathspec

Set the pathspec.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Ggit.DiffOptions:flags

The diff option flags.

###### Ggit.DiffOptions:n-context-lines

No description available.

###### Ggit.DiffOptions:n-interhunk-lines

No description available.

###### Ggit.DiffOptions:new-prefix

No description available.

###### Ggit.DiffOptions:old-prefix

No description available.

###### Ggit.DiffOptions:pathspec

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct GgitDiffOptionsClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.